use crate::tui::backend::adapter::NightshadeAdapter;
use crate::tui::run::State;

pub fn launch(state: Box<dyn State>) -> Result<(), Box<dyn std::error::Error>> {
    let adapter = NightshadeAdapter::new(state);
    crate::run::launch(adapter)
}
